{% extends 'base.html' %}
{% load staticfiles %}

<head>
    {% block content %}

    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">

</head>
<div class="container-fluid">
    <div class="container container-rescatados-style">
        <h3 style="color: rgb(201, 204, 32);">Listado de Productos</h3>
        <h4>En esta sección, se muestran todos los productos, donde puede realizar operaciones sobre ellos</h4>
        <br>
        <div class="row row-rescatados-title">
            <div class="col-md-1 col-rescatados-style">
                Id
            </div>
            <div class="col-md-1 col-rescatados-style">
                Nombre
            </div>
            <div class="col-md-2 col-rescatados-style">
                Costo Presupuesto
            </div>

            <div class="col-md-1 col-rescatados-style">
                Costo Real
            </div>

            <div class="col-md-2 col-rescatados-style">
                Tienda
            </div>

            <div class="col-md-2 col-rescatados-style">
                Notas Adicionales
            </div>
            <div class="col-md-2 col-rescatados-style">
                Operaciones
            </div>


            <!--Librerias     
            {% if user.is_superuser %}
                <div class="col-md-2 col-rescatados-style">
                    Descripción
                </div>
                <div class="col-md-1 col-rescatados-style">
                    Estado
                </div>
                <div class="col-md-2 col-rescatados-style">
                    Acciones
                </div>
            {% else %}
                <div class="col-md-3 col-rescatados-style">
                    Descripción
                </div>
                <div class="col-md-2 col-rescatados-style">
                    Estado
                </div>
            {% endif %} -->
        </div>
        {% if producto %}
        <ul>

            {% for r in producto %}
            <div class="row row-rescatados-style">
                <div class="col-md-1 col-rescatados-style">
                    {{r.id}}
                </div>
                <div class="col-md-1 col-rescatados-style">
                    {{r.nombre}}
                </div>
                <div class="col-md-2 col-rescatados-style">
                    {{r.costo_presupuesto}}
                </div>
                <div class="col-md-1 col-rescatados-style rescatados-description">
                    {{r.costo_real}}
                </div>
                <div class="col-md-2 col-rescatados-style">
                    {{r.tienda}}
                </div>

                <div class="col-md-2 col-rescatados-style">
                    {{r.nota_adicionales}}
                </div>

                <div class="col-md-1 col-rescatados-style">
                    <a href="{% url 'producto_editar' pk=r.id %}">Editar</a>
                </div>
                <div class="col-md-1 col-rescatados-style">
                    <a href="{% url 'producto_eliminar' id=r.id %}">Eliminar</a>
                </div>

            </div>
            {% endfor %}

        </ul>
        {% else %}
        <p>No hay productos</p>
        {% endif %}
    </div>
    {% endblock %}